Bug 217054 - dns/void-zones-tools: Update to 1.0.2
Summary: dns/void-zones-tools: Update to 1.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-02-13 00:15 UTC by Vidar Karlsen
Modified: 2017-08-23 07:46 UTC (History)
4 users (show)

See Also:
vidar: maintainer-feedback+


Attachments
svn diff (2.16 KB, patch)
2017-02-13 00:15 UTC, Vidar Karlsen
no flags Details | Diff
svn diff (2.16 KB, patch)
2017-02-14 21:47 UTC, Vidar Karlsen
vidar: maintainer-approval+
Details | Diff
Patch to update to 1.0.2 (svn diff) (1.19 KB, patch)
2017-08-22 18:30 UTC, Vidar Karlsen
vidar: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vidar Karlsen 2017-02-13 00:15:02 UTC
Created attachment 179924 [details]
svn diff

Update to latest upstream commit, which adds some fixes for building on ARM.

Tests done:
portlint: ok
poudriere testport on 10.3-amd64: ok
poudriere testport on 11.0-amd64: ok

I don't have any ARM hardware so I haven't been able to test that it builds and runs on ARM.
Comment 1 Mikael Urankar freebsd_committer 2017-02-13 08:51:12 UTC
It builds fine on armv6. char are unsigned on arm, are you sure you need 'CFLAGS = $(CDEFS) -fsigned-char' on arm?
Comment 2 Vidar Karlsen 2017-02-13 09:01:41 UTC
Thanks for testing it on arm.
The -fsigned-char comes from upstream. If it works fine without it, we should probably remove it.
Comment 3 Mikael Urankar freebsd_committer 2017-02-14 19:03:24 UTC
It mostly works on armv6 :)

There is a bug (copy/paste error) in domainlen for !x86 arch: some files aren't 'parsed' correcly and it results in an empty host/zone local-void.zones.

hosts2zones /tmp/local-void.zones /usr/local/etc/void-zones/x_void_list.txt
Number of Hosts: 0
Number of Zones: 0

--- binutils.h.orig     2017-02-14 19:55:10.775822000 +0100
+++ binutils.h  2017-02-14 19:54:57.719906000 +0100
@@ -365,7 +365,7 @@ typedef long long     llong;
          return 0;

       int l;
-      for (l = 0; domain[l] && domain[l] != '|'; l++)
+      for (l = 0; domain[l] && domain[l] != '.'; l++)
          ;
       return l;
    }

I submitted a PR:
https://github.com/cyclaero/void-zones-tools/pull/2
Comment 4 cyclaero 2017-02-14 20:08:39 UTC
(In reply to mikael.urankar from comment #1)

Hi, I am the developer of the void-zones-tools.

You asked:

 "... char are unsigned on arm, are you sure you need
  'CFLAGS = $(CDEFS) -fsigned-char' on arm?"

Strictly speaking, this not necessary.

However, my development environment is on a x86 system on which char is signed by default. When I ported my software to arm, I ran into an issue within one quite old function of thousands, where I lazily assumed that char is always signed, as you said, it is not on ARM and not on other architectures.

In addition, I got some other projects utilizing the same set of helper functions, which I want to work the same on every supported system. I revisited most of my code and it should be agnostic to the signedness of char. Anyway, I find it important that all the standard C-types are behaving the smae on all the system that I want to support. So, I would have either added -funsigned-char for x86 or -fsigned-char for ARM, the latter of which was much more effortless, and that's why I would like to aak to keep this as it is.
Comment 5 Vidar Karlsen 2017-02-14 21:47:56 UTC
Created attachment 180000 [details]
svn diff

New patch to pull the latest commit (bfc0566) from upstream. This obsoletes the old patch.
Comment 6 Vidar Karlsen 2017-02-15 00:52:48 UTC
I built an armv6 jail to test, and it worked fine with latest commit (bfc0566). I threw i386 into the mix too for good measure.

I have now successfully run the following tests:
portlint -C: ok
poudriere testport on 10.3-amd64: ok
poudriere testport on 11.0-amd64: ok
poudriere testport on 10.3-i386: ok
poudriere testport on 11.0-i386: ok
poudriere testport on 11.0-arm.armv6: ok

I tested that it runs too, in all the test jails. :)

Changing the title to reflect the new upstream commit hash, bfc0566.
Comment 7 Danilo G. Baio freebsd_committer 2017-08-19 13:45:27 UTC
(In reply to cyclaero from comment #4)

Hi.

Any chance to tag a version in Github?

Regards.
Comment 8 Mikael Urankar freebsd_committer 2017-08-19 13:51:18 UTC
No, there are no tags on github
https://github.com/cyclaero/void-zones-tools
Comment 9 Danilo G. Baio freebsd_committer 2017-08-19 14:12:38 UTC
(In reply to mikael.urankar from comment #8)

Yes, I'm aware.

Because of this I asked cyclaero(developer of dns/void-zones-tools) if is it possible to tag a version there.

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-distfiles.html#makefile-master_sites-github-ex4
^^
If we use this way, will be needed to set `PORTEPOCH=1`.

Regards.
Comment 10 cyclaero 2017-08-21 21:34:56 UTC
(In reply to Danilo G. Baio from comment #7)

I am ready to tag anything, however, I only know how to tag my SVN repositories. Since I found GIT always doing the things differently than I wanted it to be done, I am trying hard to avoid GIT.

Before I destroy my repository in the course of various tagging trials, I would appreciate to be told exactly what needs to be done.
Comment 11 Danilo G. Baio freebsd_committer 2017-08-22 03:00:25 UTC
(In reply to cyclaero from comment #10)

Great, this way we won't invent any version here.

You can do it directly in the Github:
https://help.github.com/articles/creating-releases/

An example: https://github.com/michael-lazar/rtv/releases

Regards.
Comment 12 cyclaero 2017-08-22 12:58:40 UTC
(In reply to Danilo G. Baio from comment #11)

Done.

I created 3 tags which reflect the release history of the project. The latest release is v1.0.2 which contains changes which I just committed today:

The commit message tells all:

  "FadeMind has removed the windows 10 telemetry
   hosts in favor of using the respective hosts
   from WindowsSpyBlocker, so we do this as well."

It would be good to submit v1.0.2 to the ports, so users won't be confused with a message from the missing telemetry hosts file from FadeMind.
Comment 13 Vidar Karlsen 2017-08-22 18:30:01 UTC
Created attachment 185671 [details]
Patch to update to 1.0.2 (svn diff)

Nice! The attached patch will update the port to v1.0.2.
portlint ok.
poudriere testport ok: 10.3-amd64, 10.3-i386, 11.0-amd64, 11-0-i386, 11.1-amd64, 11.0-arm.
Comment 14 Danilo G. Baio freebsd_committer 2017-08-23 02:20:32 UTC
@cyclaero, that's great, thanks. Besides the release version be documented, 
every time you tag a new version on Github, the maintainer here will be 
notified about the new version through portscout [1].

@vidar, with attachment #185671 [details] I got this error:

> ===>  Patching for void-zones-tools-1.0.2
> ===>  Applying FreeBSD patches for void-zones-tools-1.0.2
> 1 out of 1 hunks failed--saving rejects to Makefile.rej
> => FreeBSD patch patch-Makefile failed to apply cleanly.
> *** Error code 1

Removing `files/patch-Makefile` builds fine here:
	10.3-RELEASE-p21     [amd64|i386]
	11.0-RELEASE-p12     [amd64|i386]
	12.0-CURRENT 1200040 [amd64|i386]

Could you or @mikael.urankar confirm if it works this way on ARM as well?

Thank you.

[1] - https://portscout.freebsd.org/
Comment 15 Vidar Karlsen 2017-08-23 06:47:50 UTC
(In reply to Danilo G. Baio from comment #14)
Yes, files/patch-Makefile is no longer applicable.
I deleted it on my end before I ran the various test builds, but I forgot to mention it here (and the file deletion doesn't show up in the svn diff).
Comment 16 commit-hook freebsd_committer 2017-08-23 07:35:12 UTC
A commit references this bug:

Author: dbaio
Date: Wed Aug 23 07:35:03 UTC 2017
New revision: 448592
URL: https://svnweb.freebsd.org/changeset/ports/448592

Log:
  dns/void-zones-tools: Update to 1.0.2

  - Use Github release
  - Remove `files/patch-Makefile`, not necessary anymore.

    - Fixes for building on ARM and i386 architectures
    - WindowsSpyBlocker is the new upstream for the Windows
      telemetry hosts files

  PR:		217054
  Submitted by:	Vidar Karlsen <vidar@karlsen.tech> (maintainer)

Changes:
  head/dns/void-zones-tools/Makefile
  head/dns/void-zones-tools/distinfo
  head/dns/void-zones-tools/files/
Comment 17 commit-hook freebsd_committer 2017-08-23 07:42:20 UTC
A commit references this bug:

Author: dbaio
Date: Wed Aug 23 07:41:20 UTC 2017
New revision: 50704
URL: https://svnweb.freebsd.org/changeset/doc/50704

Log:
  Add Vidar Karlsen to contributors

  Maintainer of:
  	dns/void-zones-tools
  	security/py-onetime
  	sysutils/pcapfix
  	textproc/crunch

  PR:		217054

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 18 Danilo G. Baio freebsd_committer 2017-08-23 07:46:42 UTC
Committed, thank you all.